<?php
require '../connect.php';

$flag['success'] = 0;
$flag['data'] = array();

$store_id = $_GET['store_id'] ?? '';

if (empty($store_id)) {
    $response['success'] = false;
    $response['message'] = 'Error: Missing store_id parameter';
    echo json_encode($response);
    exit;
}

// Prepare and execute the SELECT statement
$select_query = "SELECT name, price, created_at FROM expenses WHERE store_id = ?";
$stmt = mysqli_prepare($con, $select_query);

if ($stmt) {
    mysqli_stmt_bind_param($stmt, "s", $store_id);
    if (mysqli_stmt_execute($stmt)) {
        mysqli_stmt_store_result($stmt);
        mysqli_stmt_bind_result($stmt, $name, $price, $created_at);
        $response['success'] = 1;
        while (mysqli_stmt_fetch($stmt)) {
            // Format the created_at timestamp as date and time
            $formatted_created_at = date('Y-m-d', strtotime($created_at));

            // Store fetched data into the result array
            $response = array(
                'name' => $name,
                'price' => $price,
                'created_at' => $formatted_created_at
            );
            $flag['data'][] = $response;
        }
    } else {
        // Error executing the statement
        $flag['message'] = "Error: " . mysqli_stmt_error($stmt);
    }
    // Close the prepared statement
    mysqli_stmt_close($stmt);
} else {
    // Error preparing the statement
    $flag['message'] = "Error: " . mysqli_error($con);
}

// Print the result as JSON
echo json_encode($flag);

// Close the database connection
mysqli_close($con);
?>

